Bug 1600059 - [RFE] Add by default a storage lease to HA VMs
Summary: [RFE] Add by default a storage lease to HA VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Eyal Shenitzky
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks: 1719735
TreeView+ depends on / blocked
 
Reported: 2018-07-11 10:45 UTC by Andrea Perotti
Modified: 2020-08-04 13:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, when High Availability was selected for a new virtual machine, the Lease Storage Domain was set to a bootable Storage Domain automatically if the user did not already select one. In this release, a bootable Storage Domain is set as the lease Storage Domain for new High Availability virtual machines.
Clone Of:
: 1719735 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:16:11 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1593300 0 high CLOSED Migration leads to VM running on 2 Hosts (Split brain) 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:36 UTC
oVirt gerrit 100235 0 'None' MERGED webadmin: use VM lease by default when setting a VM as HA 2020-08-03 12:43:44 UTC
oVirt gerrit 100426 0 'None' MERGED Add note for adding a VM lease for a complete HA VM 2020-08-03 12:43:43 UTC
oVirt gerrit 100761 0 'None' MERGED Add note for adding a VM lease for a complete HA VM 2020-08-03 12:43:43 UTC
oVirt gerrit 100849 0 'None' MERGED webadmin: use VM lease by default when setting a VM as HA 2020-08-03 12:43:43 UTC

Internal Links: 1593300

Description Andrea Perotti 2018-07-11 10:45:22 UTC
Description of problem:
New VMs are currently created without storage lease, despite this is an important  integrity feature. The lack of it put at risks VMs that for some other situations would have been protected with lease enabled.

Not having it enabled by default is a huge loss for the product and for the customers.

Version-Release number of selected component (if applicable):
RHV 4.2.latest

How reproducible:
Always

Steps to Reproduce:
1. Create VM
2. Check VM lease

Actual results:
is missing

Expected results:
By default RHV should create a VM lease on the storage domain of the boot disk

Additional info:
Request from Yaniv Lavi in rhv-prio-list:
http://post-office.corp.redhat.com/archives/rhev-prio-list/2018-June/msg00053.html

Comment 1 Michal Skrivanek 2018-07-11 14:55:34 UTC
to clarify the bug description - the consideration is only for HA VMs.
Regular VMs will still not use the lease mechanism

Comment 3 Eyal Shenitzky 2019-05-27 07:28:53 UTC
The risk that described above is also relevant for an existing VM that is updated to be HA VM.
The fix for this RFE should solve this option too.

Comment 4 Eyal Shenitzky 2019-05-29 08:05:04 UTC
After giving it another thought,
I believe that this default behavior should take place only 
when the user creating/updating a VM to HA via the UI.
We should avoid this behavior when using the REST and keep it as is 
(we count that the user is knowing what he is doing when using the REST-API).

So I think the solution will be much simpler, 
just changing the default value of the lease SD in the UI from 'No VM lease' to one of the VM's disks storage domains.

Comment 5 Michal Skrivanek 2019-05-29 08:59:07 UTC
people will eventually complain, they always do when we do something in UI only. The patch comments are relatively small, and the correct handling on update VM needs to be happen anyway for UI too.
We can change behavior in new cluster level so it wouldn't affect existing setups.
OTOH it's not a big deal if there's indeed some complication with that. Maybe with a clear note in REST API docs it's ok...

Comment 6 Tal Nisan 2019-05-30 08:52:19 UTC
Creating or updating a VM to HA will create a lease as default behavior from the UI, for REST we will leave it as is now as the change is not visible as in the UI and will practically force the user to have a VM lease when creating an HA VM

Comment 8 Eyal Shenitzky 2019-06-05 06:52:17 UTC
(In reply to Tal Nisan from comment #6)
> Creating or updating a VM to HA will create a lease as default behavior from
> the UI, for REST we will leave it as is now as the change is not visible as
> in the UI and will practically force the user to have a VM lease when
> creating an HA VM

Setting a lease by default when updating a VM to be HA is problematic.

We cannot distinguish between the two options:
1) The VM set as HA and doesn't have a lease 
2) The user removed the lease from the HA VM

Therefore the solution will be setting a VM lease by default only for new HA VMs.

Comment 12 RHV bug bot 2019-12-13 13:13:59 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2019-12-20 17:43:51 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2020-01-08 14:46:45 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2020-01-08 15:14:40 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 RHV bug bot 2020-01-24 19:48:31 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 Shir Fishbain 2020-02-06 16:46:54 UTC
Verified

When setting a VM lease on the storage domain that contains the VM bootable disk, the HA sets by default.
ovirt-engine-4.4.0-0.19.master.el7.noarch
vdsm-4.40.2-1.el8ev.x86_64

Comment 20 errata-xmlrpc 2020-08-04 13:16:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.